Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImR_LocatorS.cpp File Reference

`#include "ImR_LocatorS.h"`
`#include "tao/PortableServer/Object_Adapter.h"`
`#include "tao/PortableServer/Operation_Table.h"`
`#include "tao/TAO_Server_Request.h"`
`#include "tao/ORB_Core.h"`
`#include "tao/Stub.h"`
`#include "tao/IFR_Client_Adapter.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/PICurrent.h"`
`#include "tao/PortableServer/ServerRequestInfo.h"`
`#include "tao/PortableServer/ServerInterceptorAdapter.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ImR_LocatorS.i"`

Include dependency graph for ImR_LocatorS.cpp:

## Compounds
class | TAO_ImplementationRepository_Locator_Perfect_Hash_OpTable
class | TAO_ServerRequestInfo_ImplementationRepository_Locator_activate_server_in_location
class | TAO_ServerRequestInfo_ImplementationRepository_Locator_register_activator
class | TAO_ServerRequestInfo_ImplementationRepository_Locator_remove_server_in_location
class | TAO_ServerRequestInfo_ImplementationRepository_Locator_server_is_shutting_down_in_location
class | TAO_ServerRequestInfo_ImplementationRepository_Locator_shutdown_server_in_location
class | TAO_ServerRequestInfo_ImplementationRepository_Locator_unregister_activator
## Functions
ImplementationRepository::_TAO_Locator_Proxy_Broker * | ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_function (CORBA::Object_ptr obj)
int | ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_Initializer (long)
## Variables
TAO_ImplementationRepository_Locator_Perfect_Hash_OpTable | tao_ImplementationRepository_Locator_optable
int | ImplementationRepository__TAO_Locator_Proxy_Broker_Stub_Factory_Initializer_Scarecrow

## Function Documentation

ImplementationRepository::_TAO_Locator_Proxy_Broker* ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_function | ( | CORBA::Object_ptr | obj | ) |

int ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_Initializer | ( | long |  | ) |

## Variable Documentation

int ImplementationRepository__TAO_Locator_Proxy_Broker_Stub_Factory_Initializer_Scarecrow`[static]`

| Initial value:
      ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_Initializer (ACE_reinterpret_cast (long, ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_Initializer))

TAO_ImplementationRepository_Locator_Perfect_Hash_OpTable tao_ImplementationRepository_Locator_optable`[static]`